package com.starry.admin.modules.weichat.controller;

import com.starry.admin.modules.clerk.module.entity.PlayClerkLevelInfoEntity;
import com.starry.admin.modules.clerk.service.IPlayClerkLevelInfoService;
import com.starry.admin.modules.weichat.entity.level.PlayClerkLevelReturnVo;
import com.starry.common.result.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * 店员等级
 *
 * @author admin
 * @since 2024/5/29 上午6:24
 **/
@Slf4j
@RestController
@RequestMapping("/wx/level/")
public class WxClerkLeveController {

    @Resource
    private IPlayClerkLevelInfoService playClerkLevelInfoService;


    /**
     * 顾客查询所有店员所有等级列表
     *
     * @return 店员所有等级列表
     */
    @GetMapping("/custom/queryClerkAllLevel")
    public R customQueryClerkAllLevel() {
        List<PlayClerkLevelInfoEntity> list = playClerkLevelInfoService.selectAll();
        List<PlayClerkLevelReturnVo> returnVoList = new ArrayList<>(list.size());
        for (PlayClerkLevelInfoEntity entity : list) {
            PlayClerkLevelReturnVo vo = new PlayClerkLevelReturnVo();
            vo.setId(entity.getId());
            vo.setLevelName(entity.getName());
            returnVoList.add(vo);
        }
        return R.ok(returnVoList);
    }


}
